dst.defineClass("com.dst.slms.supplierprofile.supplierprofile.supplierProfileEdit", dst.framework.coreBillBaseEdit, {
	initalizeDOM:function(){
		com.dst.slms.supplierprofile.supplierprofile.supplierProfileEdit.superClass.initalizeDOM.call(this);
	},
	updateChange:function(newValue,oldValue){//选择人员
		var cityBaseid =$('#cityBase').textbox("getBizValue").id;
		dst.remoteCall({
			method : "getCity",
			async:true,  
			url: "supplierProfileController",
			param : {cityBaseid:cityBaseid},
			success : function(data, textStatus) {
				if(data.code==200){
					$("#city").textbox('setValue',data.cityname);
				}else{
					$("#city").textbox('setValue',"");
				}
			}
		});
	},
});